@media (max-width: 992px) {
    #second-annonce-text {
        font-size:1.2rem;
    }

    .navbar {
        padding:0;
        margin:0;
    }
    .div-navbar-brand {
        width:80%;
        flex:4;
    }
    .navbar-brand,
    .responsive-logo {
        width: 50%;      
        height: auto;     
        max-width: 100%; 
        max-height:180px;
    }

    .navbar-right i {
        font-size:1.6rem;
    }



    .main-annonce {
        display:none;
    }

    .navbar-desktop {
        display:none;
    }
    .navbar-mobile {
        display:block;
    }
    .d-none-conditions1-mq {
        display:block;
    }
    .d-none-conditions2-mq {
        display:none;
    }

    .navbar-toggler {
        flex:1;
        padding:15px;
        margin-left:45px;
        outline: 1px solid rgb(75, 75, 75);
        width: auto;
    }

    .navbar > .container-fluid {
        justify-content: initial;
        padding:1rem;
        margin: 0px;
    }

    .ul-correction {
        width:100%;
        margin:0;
        padding:0;
    }

    .nav-link i {
        padding:1rem;
    }
    .ml-10-mq {
        margin-left: 0rem;
    }
    .section-title {
        font-size: 3rem;
    }
    .section-subtitle {
        font-size: 1.6rem;
    }
    .pt-mq {
        padding:0 !important;
    }
    #header-scroll-up {
        /* border-top: 4px solid #cf8600; */
        position: fixed;
        /* box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); */
        box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.2);
        z-index: 100;
        transition: top 0.3s ease-in-out; /* Animation fluide */
        background-color: black;
        width:100vw;
    }
    .header-scroll-up-static {
        position: static;
        width:100vw;
        transition: height 0.3s ease;
    }
    .flex-logo-toggler {
        display:flex;
        align-items: center;
    }
    .div-hr {
        position:relative;
        left:-3rem;
        width:100vw;
    }

    footer .nav-item .nav-link {
        font-size: 1.4rem;
    }
    .section-home-banniere {
        height: 44rem;
    }
    .card-hover-overlay {
        display:none;
    }
    .group-social-link {
        position: relative;
        top: 0px;
        left: 0px;
    }
    .panier-validate-buttons-mq {
        margin:0;
        width: 100%;
        text-align: center !important;
    }
    .panier-validate-buttons-margin {
        margin:0;
        margin-bottom:3rem;
    }
    .st-item-total {
        text-align: initial;
    }
    .w-100-mq {
        width:100%;
    }
/*     .w-80-mq {
        width:100%;
    } */
    .navigation-icone {
        padding: 2rem 2rem 1rem 2rem;
        border-top: 1px solid #333;
    }
    .st-badge {
        position: relative;
        left: -9px;
        margin:0;
    }
    .tab-pane {
        padding:0;
    }
    .product-administration a {
        left: -50px;
    }

    .agrossis-icon {
        font-size: 2.2rem !important;
        margin-top: 3px;
        position: relative;
        top:-3px;
    }

    #main-video {
        width: 100%;
        height: auto;
        position: static;
    }

    #video-container.active {
        position: static;
        width: 100%;
        height: auto;
    }

    #main-image-container.video-active {
        display: none;
    }

    .carousel-product-slider {
        gap: 8px;
    }

    .slider-image {
        width: 120px;
        height: 120px;
    }

    .container-video-thumbnail {
        width: 120px;
        height: 120px;
    }
    .pt-5-mq {
        padding-top: 3rem !important;
    }
    .d-none-mq {
        display:none;
    }
    .navbar-collapse {
        position: absolute;
        z-index: 200;
        width: 100vw;

        background-color: black;
        padding:3rem;
    }
    .responsive-epuise-label {
        display: inline-block;
    }
    #overlay-search {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.8);
        align-items: flex-start;
        justify-content: center;
        padding-top: 80px;
        z-index:110;
    }
    /* Styles checkout rapide */
    .tr-left-colle-right {
        position: static;
    }
    .d-block-mq-992 {
        display:block;
    }
    .tr-left-colle-right {
        margin-left:0;
    }
    .tr-div-right {
        border:none;

    }
    .tr-right-colle-left {
        position: static; */
        left: 0;
        width: 100%;
    }
    .container-mq-992 {
        padding: 3rem;
        max-width: none;
        overflow: hidden;
    }
    .mybtn-clubic-mq-produits-3 {
        width: 35%;
    }
    .navbar-mobile-deroulante .nav-link {
        font-size:2rem;
    }
    .second-annonce .carousel-inner {
        height: 40px;
        display: flex;
        align-items: center;

    }
}



@media (max-width: 768px) {
    footer { 
        padding: 3rem;
        padding-top:0;
    }

    .container-mq {
        padding: 3rem;
        max-width: none;
        overflow: hidden;
    }

    .footer-menu-list {
        padding-top:4rem;
    }
    .pt-3-mq {
        padding-top:3rem;
    }
    .footer-menu-liste-header {
        padding-left: 0px;
        margin-top: 5rem;
    }


    .banniere-texte {
        padding:2rem;
    }

    .banniere-texte h1 {
        font-size: 2.8rem;
        color: white;
    }
    
    .banniere-texte p {
        font-size:1.6rem;
    }

    .home-banniere-texte {
        padding:6rem;
    }
    .home-banniere-texte h1 {
        font-size:4rem;
    }
    .home-banniere-texte p {
        font-size:2rem;
    }

    .mybtn-clubic-mq-nouveautes {
        width: auto;
    }
    .mybtn-clubic-mq-desertique {
        width: auto;
    }
    .mybtn-clubic-mq-produits-1 {
        width: auto; 
        padding-left:4rem;
        padding-right:4rem;
    }
    .mybtn-clubic-mq-produits-2 {
        width: auto;
    }
    .mybtn-clubic-mq-produits-3 {
        width: auto;
    }
    .footer-menu-liste-header {
        padding-left: 0px;
    }
    .group-social-link {
        position: relative;
        top: 0px;
        left: 0px;
    }
    a.social-link {
        margin: 1rem;
    }
    .input-group {
        width: 100%;
    }
    .footer-menu-liste-title {
        margin-top: 7rem;
    }
    .footer-section-2 {
        margin-top: 11rem;
    } 
    .mtb-80-100-only {
        margin:0;
    }
    .header-scroll-up-static {
        position: static;
        width:100vw;
        transition: height 0.3s ease;
    }
    #header-scroll-up {
        /* border-top: 4px solid #cf8600 */
        width:100vw;
        box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.2);
    }

    .pt-mq-768 {
        margin-top:0 !important;
        padding-top:0 !important;
    }
    .plr-0-mq {
        padding-left:0;
        padding-right:0;
    }
    .nospace-768-mq {
        padding:0;
        margin:0;
    }
    .nomargin-mq {
        margin:0;
    }
    .carousel-product-main-image-container {
        height: 600px;
    }
    .container-product-info {
        width: 85%;
    }
    .carousel-product-main-image {
        object-position: 100% 100%;
    }

    .st-item {
        display: grid;
        grid-template-rows: repeat(2, auto); 
        /* grid-template-columns: 1.3fr 1fr 1fr 1fr; */
        gap: 1rem;
        width:100%;
    }
    .st-item-media {
        grid-row: 1 / 3;
    }
    .st-item-quantity {
        grid-column: 2 / 5;
    }
    .st-item-detail {
        grid-column: 2 / 4;
    }
    .st-item-total {
        grid-row: 1 / 2;
        grid-column: 4 / 5;
    }
    .d-none-mq {
        display:none;
    }
    .div-image-item {
        width: 100%;
    }
    .st-item-media {
        width: 100%;
    }
    .panier-validate-buttons-margin {
        margin:0;
        margin-bottom:3rem;
    }

    .carousel-product-slider {
        gap: 6px;
        /* justify-content: flex-start; */ /* il faut centrer les miniatures*/
    }

    .slider-image {
        width: 100px;
        height: 100px;
    }

    .container-video-thumbnail {
        width: 100px;
        height: 100px;
    }
    #payment-form {
        padding:4rem;
        min-width: auto;
        width:100%;
    }
    .grid-account-adresse {
        display: grid;
        grid-template-rows: repeat(2, auto); 
        grid-template-columns:none;
        gap: 1rem;
        width:100%;
    }
    .ml-30-mq {
        margin-left:0;
    }
    .d-block-mq-768 {
        display:block;
    }
    .container-form {
        width:90%;
    }
    .pt-5-mq {
        padding-top: 3rem !important;
    }
}

@media (max-width: 620px) {

    .header-scroll-up-static {
        position: static;
        width:100vw;
        transition: height 0.3s ease;
    }
}


@media (max-width: 480px) {
    .home-banniere-texte {
        padding:3rem;
        padding-top:6rem;
    }
    .home-banniere-texte h1 {
        font-size:3rem;
    }
    .home-banniere-texte p {
        font-size:1.6rem;
    }

    .mybtn-clubic-mq-nouveautes {
        width: auto;
    }
    .mybtn-clubic-mq-desertique {
        width: auto;
    }
    .mybtn-clubic-mq-produits-1 {
        width: auto; 
        padding-left:4rem;
        padding-right:4rem;
    }
    .mybtn-clubic-mq-produits-2 {
        width: auto;
    }
    
    .footer-menu-liste-header {
        padding-left: 0px;
        margin-top: 7rem;
    }
    .group-social-link {
        position: relative;
        top: 0px;
        left: 0px;
    }
    a.social-link {
        margin: 1rem;
    }
    .footer-menu-liste-title {
        margin-top: 7rem;
    }
    .div-navbar-brand {
        width: 80%;
        flex: 4;
    }
    .ml-10-mq {
        margin-left: 0rem;
    }
    .header-scroll-up-static {
        position: static;
        width:100vw;
        transition: height 0.3s ease;
    }
    #header-scroll-up {
        /* border-top: 4px solid #cf8600 */
        width:100vw;
        box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.2);
    }
    .card-hover-overlay {
        bottom: -115px;
    }
    .navigation-icone {
        width: 100vw;
        padding: 1rem;
        padding-right: 4rem;
        padding:1rem 2rem 1rem 2rem;
        border-top: 1px solid #333;

    }
    .navbar-toggler {
        margin-left: 0px;        
    }
    .nav-link {
        font-size: 1.5rem;
    }
    .flex-logo-toggler {
        padding:1rem 2rem 1rem 2rem;
    }
    .container-mq {
        padding: 2rem;
        overflow: hidden;
    }

    #panier-main {
        position: fixed;
        width: 100vw;
        right: 0;
        left: 0;
        z-index: 100;
    }

    .carousel-product-slider {
        gap: 9px;
    }

    .slider-image {
        width: 110px;
        height: 110px;
    }

    .container-video-thumbnail {
        width: 110px;
        height: 110px;
    }

    .agrossis-icon {
        font-size: 1.7rem !important;
        margin-top:8px;
        position: relative;
    }
    .nospace-480-mq {
        padding:0;
        margin:0;
    }
    .pt-mq-480 {
        margin-top:0;
        padding-top:0;
    }
    .plr-0-mq {
        padding-left: 0;
        padding-right: 0;
    }
    .d-block-mq-480 {
        display:block;
    }
}


@media (max-width: 380px) {

    .header-scroll-up-static {
        position: static;
        width:100vw;
        transition: height 0.3s ease;
    }
}

@media (max-width: 280px) {

    .responsive-logo {
        margin-left:20px;
    }

}






/** GRAND FORMATS MEDIA QUERY */
/* Applique ces styles pour les écrans dont la largeur est supérieure ou égale à 993px. */

@media (min-width: 993px) {
    .navbar-desktop {
        display:block;
    }
    .navbar-mobile {
        display:none;
    }
    .d-none-conditions1-mq {
        display:none;
    }
    .d-none-conditions2-mq {
        display:flex;
    }
    .group-social-link {
        position: absolute;
        top: 130px;
        left: 130px;
    }
}



@media (min-width: 1200px) {

    .group-social-link {
        position: absolute;
        top: 145px;
        left: 173px;
    }

}


@media (min-width: 1500px) {

    .container {
        max-width: 1140px;
    }

    .mynavbar-main-liste .nav-item {
        font-size:1.4rem;
    }

    .navbar-right i {
        padding: 2px;
    }
    .group-social-link {
        position: absolute;
        top: 180px;
        left: 180px;
    }
}

@media (min-width: 1800px) {

    .container {
        max-width: 1440px;
    }

    .mynavbar-main-liste .nav-item {
        font-size:1.6rem;
    }
    .mynavbar-main-liste {
        margin-left: 3rem !important;
    }

    .navbar-right i {
        padding: 5px;
    }
    .group-social-link {
        position: absolute;
        top: 180px;
        left: 270px;
    }
}

